include_directories(
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${CMAKE_SOURCE_DIR}/kernel
  ${CMAKE_SOURCE_DIR}/kernel/include
  ${CMAKE_BINARY_DIR}
)


add_definitions(
  -DCODEC_PNG
)


##### codecs

tde_add_library( kls_png SHARED AUTOMOC
  SOURCES fmt_codec_png.cpp
  LINK ksquirrel-libs-shared ksquirrel-libs-png-shared
  VERSION 0.8.0
  DESTINATION ${LIB_INSTALL_DIR}/ksquirrel-libs
)
